<?php
/*************************************************************************************
 * drupal5.php
 * ----------
 * Authors:
 *   Rob Loach (http://www.robloach.net)
 *   Stefaan Lippens (http://drupal.org/user/41478)
 * Copyright: (c) 2007 Rob Loach (http://www.robloach.net)
 * Version: $Id: drupal5.php,v 1.3 2008/03/02 19:17:41 soxofaan Exp $
 * Date Started: 2007/09/27
 *
 * Drupal 5 language definition file for GeSHi
 * http://drupal.org/node/179470
 *
 ************************************************************************************/

$language_data = array (
  'LANG_NAME' => 'Drupal 5',
  'COMMENT_SINGLE' => array(1 => '//', 2 => '#'),
  'COMMENT_MULTI' => array('/*' => '*/'),
  'CASE_KEYWORDS' => GESHI_CAPS_NO_CHANGE,
  'QUOTEMARKS' => array("'", '"'),
  'ESCAPE_CHAR' => '\\',
  'KEYWORDS' => array(
    1 => array(
      'include', 'require', 'include_once', 'require_once',
      'for', 'foreach', 'as', 'if', 'elseif', 'else', 'while', 'do', 'endwhile',
      'endif', 'switch', 'case', 'endswitch', 'endfor', 'endforeach',
      'return', 'break', 'continue'
    ),
    2 => array(
      'null', '__LINE__', '__FILE__',
      'false', '&lt;?php', '?&gt;', '&lt;?',
      '&lt;script language', '&lt;/script&gt;',
      'true', 'var', 'default',
      'function', 'class', 'new', '&amp;new', 'public', 'private', 'interface', 'extends',
      '__FUNCTION__', '__CLASS__', '__METHOD__', 'PHP_VERSION',
      'PHP_OS', 'DEFAULT_INCLUDE_PATH', 'PEAR_INSTALL_DIR', 'PEAR_EXTENSION_DIR',
      'PHP_EXTENSION_DIR', 'PHP_BINDIR', 'PHP_LIBDIR', 'PHP_DATADIR', 'PHP_SYSCONFDIR',
      'PHP_LOCALSTATEDIR', 'PHP_CONFIG_FILE_PATH', 'PHP_OUTPUT_HANDLER_START', 'PHP_OUTPUT_HANDLER_CONT',
      'PHP_OUTPUT_HANDLER_END', 'E_ERROR', 'E_WARNING', 'E_PARSE', 'E_NOTICE',
      'E_CORE_ERROR', 'E_CORE_WARNING', 'E_COMPILE_ERROR', 'E_COMPILE_WARNING', 'E_USER_ERROR',
      'E_USER_WARNING', 'E_USER_NOTICE', 'E_ALL'
    ),
    3 => array(
      'zlib_get_coding_type','zend_version','zend_logo_guid','yp_order','yp_next',
      'yp_match','yp_master','yp_get_default_domain','yp_first','yp_errno','yp_err_string',
      'yp_cat','yp_all','xml_set_unparsed_entity_decl_handler','xml_set_start_namespace_decl_handler','xml_set_processing_instruction_handler','xml_set_object',
      'xml_set_notation_decl_handler','xml_set_external_entity_ref_handler','xml_set_end_namespace_decl_handler','xml_set_element_handler','xml_set_default_handler','xml_set_character_data_handler',
      'xml_parser_set_option','xml_parser_get_option','xml_parser_free','xml_parser_create_ns','xml_parser_create','xml_parse_into_struct',
      'xml_parse','xml_get_error_code','xml_get_current_line_number','xml_get_current_column_number','xml_get_current_byte_index','xml_error_string',
      'wordwrap','wddx_serialize_vars','wddx_serialize_value','wddx_packet_start','wddx_packet_end','wddx_deserialize',
      'wddx_add_vars','vsprintf','vprintf','virtual','version_compare','var_export',
      'var_dump','utf8_encode','utf8_decode','usort','usleep','user_error',
      'urlencode','urldecode','unserialize','unregister_tick_function','unpack','unlink',
      'unixtojd','uniqid','umask','uksort','ucwords','ucfirst',
      'uasort','trim','trigger_error','touch','token_name','token_get_all',
      'tmpfile','time','textdomain','tempnam','tanh','tan',
      'system','syslog','symlink','substr_replace','substr_count','substr',
      'strval','strtr','strtoupper','strtotime','strtolower','strtok',
      'strstr','strspn','strrpos','strrev','strrchr','strpos',
      'strncmp','strncasecmp','strnatcmp','strnatcasecmp','strlen','stristr',
      'stripslashes','stripcslashes','strip_tags','strftime','stream_wrapper_register','stream_set_write_buffer',
      'stream_set_timeout','stream_set_blocking','stream_select','stream_register_wrapper','stream_get_meta_data','stream_filter_prepend',
      'stream_filter_append','stream_context_set_params','stream_context_set_option','stream_context_get_options','stream_context_create','strcspn',
      'strcoll','strcmp','strchr','strcasecmp','str_word_count','str_shuffle',
      'str_rot13','str_replace','str_repeat','str_pad','stat','sscanf',
      'srand','sqrt','sql_regcase','sprintf','spliti','split',
      'soundex','sort','socket_writev','socket_write','socket_strerror','socket_shutdown',
      'socket_setopt','socket_set_timeout','socket_set_option','socket_set_nonblock','socket_set_blocking','socket_set_block',
      'socket_sendto','socket_sendmsg','socket_send','socket_select','socket_recvmsg','socket_recvfrom',
      'socket_recv','socket_readv','socket_read','socket_listen','socket_last_error','socket_iovec_set',
      'socket_iovec_free','socket_iovec_fetch','socket_iovec_delete','socket_iovec_alloc','socket_iovec_add','socket_getsockname',
      'socket_getpeername','socket_getopt','socket_get_status','socket_get_option','socket_create_pair','socket_create_listen',
      'socket_create','socket_connect','socket_close','socket_clear_error','socket_bind','socket_accept',
      'sleep','sizeof','sinh','sin','similar_text','shuffle',
      'show_source','shmop_write','shmop_size','shmop_read','shmop_open','shmop_delete',
      'shmop_close','shm_remove_var','shm_remove','shm_put_var','shm_get_var','shm_detach',
      'shm_attach','shell_exec','sha1_file','sha1','settype','setlocale',
      'setcookie','set_time_limit','set_socket_blocking','set_magic_quotes_runtime','set_include_path','set_file_buffer',
      'set_error_handler','session_write_close','session_unset','session_unregister','session_start','session_set_save_handler',
      'session_set_cookie_params','session_save_path','session_register','session_regenerate_id','session_name','session_module_name',
      'session_is_registered','session_id','session_get_cookie_params','session_encode','session_destroy','session_decode',
      'session_cache_limiter','session_cache_expire','serialize','sem_remove','sem_release','sem_get',
      'sem_acquire','rtrim','rsort','round','rmdir','rewinddir',
      'rewind','restore_include_path','restore_error_handler','reset','rename','register_tick_function',
      'register_shutdown_function','realpath','readlink','readgzfile','readfile','readdir',
      'read_exif_data','rawurlencode','rawurldecode','range','rand','rad2deg',
      'quotemeta','quoted_printable_decode','putenv','proc_open','proc_close','printf',
      'print_r','prev','preg_split','preg_replace_callback','preg_replace','preg_quote',
      'preg_match_all','preg_match','preg_grep','pow','posix_uname','posix_ttyname',
      'posix_times','posix_strerror','posix_setuid','posix_setsid','posix_setpgid','posix_setgid',
      'posix_seteuid','posix_setegid','posix_mkfifo','posix_kill','posix_isatty','posix_getuid',
      'posix_getsid','posix_getrlimit','posix_getpwuid','posix_getpwnam','posix_getppid','posix_getpid',
      'posix_getpgrp','posix_getpgid','posix_getlogin','posix_getgroups','posix_getgrnam','posix_getgrgid',
      'posix_getgid','posix_geteuid','posix_getegid','posix_getcwd','posix_get_last_error','posix_errno',
      'posix_ctermid','pos','popen','pi','phpversion','phpinfo',
      'phpcredits','php_uname','php_sapi_name','php_logo_guid','php_ini_scanned_files','pg_update',
      'pg_untrace','pg_unescape_bytea','pg_tty','pg_trace','pg_setclientencoding','pg_set_client_encoding',
      'pg_send_query','pg_select','pg_result_status','pg_result_seek','pg_result_error','pg_result',
      'pg_query','pg_put_line','pg_port','pg_ping','pg_pconnect','pg_options',
      'pg_numrows','pg_numfields','pg_num_rows','pg_num_fields','pg_meta_data','pg_lowrite',
      'pg_lounlink','pg_loreadall','pg_loread','pg_loopen','pg_loimport','pg_loexport',
      'pg_locreate','pg_loclose','pg_lo_write','pg_lo_unlink','pg_lo_tell','pg_lo_seek',
      'pg_lo_read_all','pg_lo_read','pg_lo_open','pg_lo_import','pg_lo_export','pg_lo_create',
      'pg_lo_close','pg_last_oid','pg_last_notice','pg_last_error','pg_insert','pg_host',
      'pg_getlastoid','pg_get_result','pg_get_pid','pg_get_notify','pg_freeresult','pg_free_result',
      'pg_fieldtype','pg_fieldsize','pg_fieldprtlen','pg_fieldnum','pg_fieldname','pg_fieldisnull',
      'pg_field_type','pg_field_size','pg_field_prtlen','pg_field_num','pg_field_name','pg_field_is_null',
      'pg_fetch_row','pg_fetch_result','pg_fetch_object','pg_fetch_assoc','pg_fetch_array','pg_fetch_all',
      'pg_exec','pg_escape_string','pg_escape_bytea','pg_errormessage','pg_end_copy','pg_delete',
      'pg_dbname','pg_copy_to','pg_copy_from','pg_convert','pg_connection_status','pg_connection_reset',
      'pg_connection_busy','pg_connect','pg_cmdtuples','pg_close','pg_clientencoding','pg_client_encoding',
      'pg_cancel_query','pg_affected_rows','pfsockopen','pclose','pathinfo','passthru',
      'parse_url','parse_str','parse_ini_file','pack','overload','output_reset_rewrite_vars',
      'output_add_rewrite_var','ord','openssl_x509_read','openssl_x509_parse','openssl_x509_free','openssl_x509_export_to_file',
      'openssl_x509_export','openssl_x509_checkpurpose','openssl_x509_check_private_key','openssl_verify','openssl_sign','openssl_seal',
      'openssl_public_encrypt','openssl_public_decrypt','openssl_private_encrypt','openssl_private_decrypt','openssl_pkey_new','openssl_pkey_get_public',
      'openssl_pkey_get_private','openssl_pkey_free','openssl_pkey_export_to_file','openssl_pkey_export','openssl_pkcs7_verify','openssl_pkcs7_sign',
      'openssl_pkcs7_encrypt','openssl_pkcs7_decrypt','openssl_open','openssl_get_publickey','openssl_get_privatekey','openssl_free_key',
      'openssl_error_string','openssl_csr_sign','openssl_csr_new','openssl_csr_export_to_file','openssl_csr_export','openlog',
      'opendir','octdec','ob_start','ob_list_handlers','ob_implicit_flush','ob_iconv_handler',
      'ob_gzhandler','ob_get_status','ob_get_level','ob_get_length','ob_get_flush','ob_get_contents',
      'ob_get_clean','ob_flush','ob_end_flush','ob_end_clean','ob_clean','number_format',
      'nl_langinfo','nl2br','ngettext','next','natsort','natcasesort',
      'mysql_unbuffered_query','mysql_thread_id','mysql_tablename','mysql_table_name','mysql_stat','mysql_selectdb',
      'mysql_select_db','mysql_result','mysql_real_escape_string','mysql_query','mysql_ping','mysql_pconnect',
      'mysql_numrows','mysql_numfields','mysql_num_rows','mysql_num_fields','mysql_listtables','mysql_listfields',
      'mysql_listdbs','mysql_list_tables','mysql_list_processes','mysql_list_fields','mysql_list_dbs','mysql_insert_id',
      'mysql_info','mysql_get_server_info','mysql_get_proto_info','mysql_get_host_info','mysql_get_client_info','mysql_freeresult',
      'mysql_free_result','mysql_fieldtype','mysql_fieldtable','mysql_fieldname','mysql_fieldlen','mysql_fieldflags',
      'mysql_field_type','mysql_field_table','mysql_field_seek','mysql_field_name','mysql_field_len','mysql_field_flags',
      'mysql_fetch_row','mysql_fetch_object','mysql_fetch_lengths','mysql_fetch_field','mysql_fetch_assoc','mysql_fetch_array',
      'mysql_escape_string','mysql_error','mysql_errno','mysql_dropdb','mysql_drop_db','mysql_dbname',
      'mysql_db_query','mysql_db_name','mysql_data_seek','mysql_createdb','mysql_create_db','mysql_connect',
      'mysql_close','mysql_client_encoding','mysql_affected_rows','mysql','mt_srand','mt_rand',
      'mt_getrandmax','move_uploaded_file','money_format','mktime','mkdir','min',
      'microtime','method_exists','metaphone','memory_get_usage','md5_file','md5',
      'mbsubstr','mbstrrpos','mbstrpos','mbstrlen','mbstrcut','mbsplit',
      'mbregex_encoding','mberegi_replace','mberegi','mbereg_search_setpos','mbereg_search_regs','mbereg_search_pos',
      'mbereg_search_init','mbereg_search_getregs','mbereg_search_getpos','mbereg_search','mbereg_replace','mbereg_match',
      'mbereg','mb_substr_count','mb_substr','mb_substitute_character','mb_strwidth','mb_strtoupper',
      'mb_strtolower','mb_strrpos','mb_strpos','mb_strlen','mb_strimwidth','mb_strcut',
      'mb_split','mb_send_mail','mb_regex_set_options','mb_regex_encoding','mb_preferred_mime_name','mb_parse_str',
      'mb_output_handler','mb_language','mb_internal_encoding','mb_http_output','mb_http_input','mb_get_info',
      'mb_eregi_replace','mb_eregi','mb_ereg_search_setpos','mb_ereg_search_regs','mb_ereg_search_pos','mb_ereg_search_init',
      'mb_ereg_search_getregs','mb_ereg_search_getpos','mb_ereg_search','mb_ereg_replace','mb_ereg_match','mb_ereg',
      'mb_encode_numericentity','mb_encode_mimeheader','mb_detect_order','mb_detect_encoding','mb_decode_numericentity','mb_decode_mimeheader',
      'mb_convert_variables','mb_convert_kana','mb_convert_encoding','mb_convert_case','max','mail',
      'magic_quotes_runtime','ltrim','lstat','long2ip','log1p','log10',
      'log','localtime','localeconv','linkinfo','link','levenshtein',
      'lcg_value','ksort','krsort','key_exists','key','juliantojd',
      'join','jewishtojd','jdtounix','jdtojulian','jdtojewish','jdtogregorian',
      'jdtofrench','jdmonthname','jddayofweek','is_writeable','is_writable','is_uploaded_file',
      'is_subclass_of','is_string','is_scalar','is_resource','is_real','is_readable',
      'is_object','is_numeric','is_null','is_nan','is_long','is_link',
      'is_integer','is_int','is_infinite','is_float','is_finite','is_file',
      'is_executable','is_double','is_dir','is_callable','is_bool','is_array',
      'is_a','iptcparse','iptcembed','ip2long','intval','ini_set',
      'ini_restore','ini_get_all','ini_get','ini_alter','in_array','import_request_variables',
      'implode','image_type_to_mime_type','ignore_user_abort','iconv_set_encoding','iconv_get_encoding','iconv',
      'i18n_mime_header_encode','i18n_mime_header_decode','i18n_ja_jp_hantozen','i18n_internal_encoding','i18n_http_output','i18n_http_input',
      'i18n_discover_encoding','i18n_convert','hypot','htmlspecialchars','htmlentities','html_entity_decode',
      'highlight_string','highlight_file','hexdec','hebrevc','hebrev','headers_sent',
      'header','gzwrite','gzuncompress','gztell','gzseek','gzrewind',
      'gzread','gzputs','gzpassthru','gzopen','gzinflate','gzgetss',
      'gzgets','gzgetc','gzfile','gzeof','gzencode','gzdeflate',
      'gzcompress','gzclose','gregoriantojd','gmstrftime','gmmktime','gmdate',
      'glob','gettype','gettimeofday','gettext','getservbyport','getservbyname',
      'getrusage','getrandmax','getprotobynumber','getprotobyname','getopt','getmyuid',
      'getmypid','getmyinode','getmygid','getmxrr','getlastmod','getimagesize',
      'gethostbynamel','gethostbyname','gethostbyaddr','getenv','getdate','getcwd',
      'getallheaders','get_resource_type','get_required_files','get_parent_class','get_object_vars','get_meta_tags',
      'get_magic_quotes_runtime','get_magic_quotes_gpc','get_loaded_extensions','get_included_files','get_include_path','get_html_translation_table',
      'get_extension_funcs','get_defined_vars','get_defined_functions','get_defined_constants','get_declared_classes','get_current_user',
      'get_class_vars','get_class_methods','get_class','get_cfg_var','get_browser','fwrite',
      'function_exists','func_num_args','func_get_args','func_get_arg','ftruncate','ftp_systype',
      'ftp_ssl_connect','ftp_size','ftp_site','ftp_set_option','ftp_rmdir','ftp_rename',
      'ftp_rawlist','ftp_quit','ftp_pwd','ftp_put','ftp_pasv','ftp_nlist',
      'ftp_nb_put','ftp_nb_get','ftp_nb_fput','ftp_nb_fget','ftp_nb_continue','ftp_mkdir',
      'ftp_mdtm','ftp_login','ftp_get_option','ftp_get','ftp_fput','ftp_fget',
      'ftp_exec','ftp_delete','ftp_connect','ftp_close','ftp_chdir','ftp_cdup',
      'ftok','ftell','fstat','fsockopen','fseek','fscanf',
      'frenchtojd','fread','fputs','fpassthru','fopen','fnmatch',
      'fmod','flush','floor','flock','floatval','filetype',
      'filesize','filepro_rowcount','filepro_retrieve','filepro_fieldwidth','filepro_fieldtype','filepro_fieldname',
      'filepro_fieldcount','filepro','fileperms','fileowner','filemtime','fileinode',
      'filegroup','filectime','fileatime','file_get_contents','file_exists','file',
      'fgetss','fgets','fgetcsv','fgetc','fflush','feof',
      'fclose','ezmlm_hash','extract','extension_loaded','expm1','explode',
      'exp','exif_thumbnail','exif_tagname','exif_read_data','exif_imagetype','exec',
      'escapeshellcmd','escapeshellarg','error_reporting','error_log','eregi_replace','eregi',
      'ereg_replace','ereg','end','easter_days','easter_date','each',
      'doubleval','dngettext','dl','diskfreespace','disk_total_space','disk_free_space',
      'dirname','dir','dgettext','deg2rad','defined','define_syslog_variables',
      'define','decoct','dechex','decbin','debug_zval_dump','debug_backtrace',
      'deaggregate','dcngettext','dcgettext','dba_sync','dba_replace','dba_popen',
      'dba_optimize','dba_open','dba_nextkey','dba_list','dba_insert','dba_handlers',
      'dba_firstkey','dba_fetch','dba_exists','dba_delete','dba_close','date',
      'current','ctype_xdigit','ctype_upper','ctype_space','ctype_punct','ctype_print',
      'ctype_lower','ctype_graph','ctype_digit','ctype_cntrl','ctype_alpha','ctype_alnum',
      'crypt','create_function','crc32','count_chars','count','cosh',
      'cos','copy','convert_cyr_string','constant','connection_status','connection_aborted',
      'compact','closelog','closedir','clearstatcache','class_exists','chunk_split',
      'chr','chown','chop','chmod','chgrp','checkdnsrr',
      'checkdate','chdir','ceil','call_user_method_array','call_user_method','call_user_func_array',
      'call_user_func','cal_to_jd','cal_info','cal_from_jd','cal_days_in_month','bzwrite',
      'bzread','bzopen','bzflush','bzerrstr','bzerror','bzerrno',
      'bzdecompress','bzcompress','bzclose','bindtextdomain','bindec','bind_textdomain_codeset',
      'bin2hex','bcsub','bcsqrt','bcscale','bcpow','bcmul',
      'bcmod','bcdiv','bccomp','bcadd','basename','base_convert',
      'base64_encode','base64_decode','atanh','atan2','atan','assert_options',
      'assert','asort','asinh','asin','arsort','array_walk',
      'array_values','array_unshift','array_unique','array_sum','array_splice','array_slice',
      'array_shift','array_search','array_reverse','array_reduce','array_rand','array_push',
      'array_pop','array_pad','array_multisort','array_merge_recursive','array_merge','array_map',
      'array_keys','array_key_exists','array_intersect_assoc','array_intersect','array_flip','array_filter',
      'array_fill','array_diff_assoc','array_diff','array_count_values','array_chunk','array_change_key_case',
      'apache_setenv','apache_response_headers','apache_request_headers','apache_note','apache_lookup_uri','apache_get_version',
      'apache_child_terminate','aggregation_info','aggregate_properties_by_regexp','aggregate_properties_by_list','aggregate_properties','aggregate_methods_by_regexp',
      'aggregate_methods_by_list','aggregate_methods','aggregate','addslashes','addcslashes','acosh',
      'acos','abs','_','echo', 'print', 'global', 'static', 'exit', 'array', 'empty',
      'eval', 'isset', 'unset', 'die', 'list'
    ),
    5 => array(
      'timer_start', 'timer_read', 'timer_stop', 'conf_path', 'drupal_unset_globals', 'conf_init',
      'drupal_get_filename', 'variable_init', 'variable_get', 'variable_set', 'variable_del',
      'page_get_cache', 'bootstrap_invoke_all', 'drupal_load', 'drupal_page_header', 'drupal_page_cache_header',
      'bootstrap_hooks', 'drupal_unpack', 'referer_uri', 'check_plain', 'request_uri', 'watchdog',
      'drupal_set_message', 'drupal_get_messages', 'drupal_is_denied', 'drupal_anonymous_user',
      'drupal_bootstrap', '_drupal_bootstrap', '_drupal_cache_init', 'drupal_maintenance_theme',
      'get_t', 'cache_get', 'cache_set', 'cache_clear_all', 'drupal_set_content', 'drupal_get_content',
      'drupal_set_breadcrumb', 'drupal_get_breadcrumb', 'drupal_set_html_head', 'drupal_get_html_head',
      'drupal_clear_path_cache', 'drupal_set_header', 'drupal_get_headers', 'drupal_add_feed',
      'drupal_get_feeds', 'drupal_query_string_encode', 'drupal_get_destination', 'drupal_goto',
      'drupal_site_offline', 'drupal_not_found', 'drupal_access_denied', 'drupal_http_request',
      'error_handler', '_fix_gpc_magic', '_fix_gpc_magic_files', 'fix_gpc_magic', 'locale_initialize',
      't', 'valid_email_address', 'valid_url', 'flood_register_event', 'flood_is_allowed',
      'check_file', 'check_url', 'format_rss_channel', 'format_rss_item', 'format_xml_elements',
      'format_plural', 'parse_size', 'format_size', 'format_interval', 'format_date', 'url',
      'drupal_attributes', 'l', 'drupal_page_footer', 'drupal_map_assoc', 'drupal_eval',
      'drupal_get_path', 'base_path', 'drupal_clone', 'drupal_add_link', 'drupal_add_css',
      'drupal_get_css', 'drupal_build_css_cache', 'drupal_clear_css_cache', 'drupal_add_js',
      '_drupal_add_js', 'drupal_get_js', 'drupal_to_js', 'drupal_urlencode', 'drupal_get_private_key',
      'drupal_get_token', 'drupal_valid_token', 'xmlrpc', '_drupal_bootstrap_full', 'page_set_cache',
      'drupal_mail', 'drupal_cron_run', 'drupal_cron_cleanup', 'drupal_system_listing',
      'drupal_render', '_element_sort', 'element_property', 'element_properties', 'element_child',
      'element_children', 'db_prefix_tables', 'db_set_active', '_db_query_callback', 'db_query',
      '_db_rewrite_sql', 'db_rewrite_sql', 'db_escape_table', 'db_status_report', 'db_version',
      'db_connect', '_db_query', 'db_fetch_object', 'db_fetch_array', 'db_num_rows', 'db_result',
      'db_error', 'db_next_id', 'db_affected_rows', 'db_query_range', 'db_query_temporary',
      'db_encode_blob', 'db_decode_blob', 'db_escape_string', 'db_lock_table', 'db_unlock_tables',
      'db_table_exists', 'db_distinct_field', 'db_check_setup', 'file_create_url', 'file_create_path',
      'file_check_directory', 'file_check_path', 'file_check_upload', 'file_check_location',
      'file_copy', 'file_move', 'file_create_filename', 'file_delete', 'file_save_upload',
      'file_save_data', 'file_transfer', 'file_download', 'file_scan_directory', 'file_directory_temp',
      'file_directory_path', 'file_upload_max_size', 'drupal_get_form', '_drupal_clean_form_sessions',
      'drupal_execute', 'drupal_retrieve_form', 'drupal_process_form', 'drupal_prepare_form',
      'drupal_validate_form', 'drupal_submit_form', 'drupal_render_form', 'drupal_redirect_form',
      '_form_validate', 'form_set_error', 'form_get_errors', 'form_get_error', 'form_error',
      'form_builder', 'form_set_value', '_form_set_value', '_element_info', 'form_options_flatten',
      'theme_select', 'form_select_options', 'form_get_options', 'theme_fieldset', 'theme_radio',
      'theme_radios', 'theme_password_confirm', 'expand_password_confirm', 'password_confirm_validate',
      'theme_date', 'expand_date', 'date_validate', 'map_month', 'checkboxes_value', 'weight_value',
      'expand_radios', 'theme_item', 'theme_checkbox', 'theme_checkboxes', 'expand_checkboxes',
      'theme_submit', 'theme_button', 'theme_hidden', 'theme_token', 'theme_textfield',
      'theme_form', 'theme_textarea', 'theme_markup', 'theme_password', 'process_weight',
      'theme_file', 'theme_form_element', '_form_set_class', 'form_clean_id', 'image_get_available_toolkits',
      'image_get_toolkit', 'image_toolkit_invoke', 'image_get_info', 'image_scale', 'image_resize',
      'image_rotate', 'image_crop', 'image_gd_settings', 'image_gd_check_settings', 'image_gd_resize',
      'image_gd_rotate', 'image_gd_crop', 'image_gd_open', 'image_gd_close', 'drupal_load_updates',
      'drupal_get_schema_versions', 'drupal_get_installed_schema_version', 'drupal_set_installed_schema_version',
      'drupal_install_profile_name', 'drupal_detect_baseurl', 'drupal_detect_database_types',
      'drupal_rewrite_settings', 'drupal_get_install_files', 'drupal_verify_profile', 'drupal_install_profile',
      'drupal_install_modules', 'drupal_uninstall_module', 'drupal_verify_install_file',
      'drupal_install_mkdir', 'drupal_install_fix_file', 'install_goto', 'st', '_system_update_utf8',
      'drupal_check_profile', 'drupal_requirements_severity', 'drupal_check_module', 'mysql_is_available',
      'drupal_test_mysql', 'mysqli_is_available', 'drupal_test_mysqli', 'pgsql_is_available',
      'drupal_test_pgsql', '_locale_add_language', '_locale_admin_manage_screen', 'theme_locale_admin_manage_screen',
      '_locale_admin_manage_screen_submit', 'locale_add_language_form', 'locale_custom_language_form',
      '_locale_admin_manage_add_screen', 'locale_add_language_form_validate', 'locale_add_language_form_submit',
      '_locale_admin_import', '_locale_admin_import_submit', '_locale_export_po_form', '_locale_export_pot_form',
      '_locale_admin_export_screen', '_locale_export_po_form_submit', '_locale_string_seek_form',
      '_locale_string_edit', '_locale_string_edit_submit', '_locale_string_delete', '_locale_import_po',
      '_locale_import_read_po', '_locale_import_message', '_locale_import_one_string', '_locale_import_parse_header',
      '_locale_import_parse_plural_forms', '_locale_import_parse_arithmetic', '_locale_import_tokenize_formula',
      '_locale_import_append_plural', '_locale_import_shorten_comments', '_locale_import_parse_quoted',
      '_locale_export_po', '_locale_export_print', '_locale_export_wrap', '_locale_export_remove_plural',
      '_locale_string_language_list', '_locale_string_seek_query', '_locale_string_seek',
      '_locale_prepare_iso_list', '_locale_get_iso639_list', 'menu_get_menu', 'menu_get_local_tasks',
      'menu_get_item', 'menu_get_root_menus', 'menu_set_location', 'menu_execute_active_handler',
      'menu_get_active_item', 'menu_set_active_item', 'menu_get_active_nontask_item', 'menu_get_active_title',
      'menu_get_active_help', 'menu_get_active_breadcrumb', 'menu_in_active_trail', 'menu_in_active_trail_in_submenu',
      'menu_rebuild', 'theme_menu_tree', 'menu_tree', 'theme_menu_item', 'theme_menu_item_link',
      'menu_item_link', 'theme_menu_local_tasks', 'menu_primary_local_tasks', 'menu_secondary_local_tasks',
      'theme_menu_local_task', 'menu_primary_links', 'menu_secondary_links', 'theme_menu_links',
      '_menu_get_active_trail', '_menu_get_active_trail_in_submenu', '_menu_sort', '_menu_build',
      '_menu_item_is_accessible', '_menu_build_visible_tree', '_menu_append_contextual_items',
      '_menu_find_parents', '_menu_build_local_tasks', '_menu_site_is_offline', 'module_load_all',
      'module_iterate', 'module_list', 'module_rebuild_cache', '_module_build_dependents',
      '_module_parse_info_file', 'module_exists', 'module_load_install', 'module_enable',
      'module_disable', 'module_hook', 'module_implements', 'module_invoke', 'module_invoke_all',
      'pager_query', 'pager_get_querystring', 'theme_pager', 'theme_pager_first', 'theme_pager_previous',
      'theme_pager_next', 'theme_pager_last', 'theme_pager_list', 'theme_pager_link', 'pager_load_array',
      'drupal_init_path', 'drupal_lookup_path', 'drupal_get_path_alias', 'drupal_get_normal_path',
      'arg', 'drupal_get_title', 'drupal_set_title', 'drupal_is_front_page', 'sess_open',
      'sess_close', 'sess_read', 'sess_write', 'sess_regenerate', 'sess_count', 'sess_destroy_sid',
      'sess_destroy_uid', 'sess_gc', 'session_save_session', 'tablesort_init', 'tablesort_sql',
      'tablesort_header', 'tablesort_cell', 'tablesort_get_querystring', 'tablesort_get_order',
      'tablesort_get_sort', 'init_theme', 'list_themes', 'list_theme_engines', 'theme',
      'theme_get_function', 'path_to_theme', 'path_to_engine', 'theme_get_settings', 'theme_get_setting',
      'theme_placeholder', 'theme_page', 'theme_maintenance_page', 'theme_install_page',
      'theme_status_messages', 'theme_links', 'theme_image', 'theme_breadcrumb', 'theme_help',
      'theme_node', 'theme_submenu', 'theme_table', 'theme_table_select_header_cell', 'theme_tablesort_indicator',
      'theme_box', 'theme_block', 'theme_mark', 'theme_item_list', 'theme_more_help_link',
      'theme_xml_icon', 'theme_feed_icon', 'theme_closure', 'theme_blocks', 'theme_username',
      'theme_progress_bar', '_theme_table_cell', 'unicode_check', '_unicode_check', 'unicode_requirements',
      'drupal_xml_parser_create', 'drupal_convert_to_utf8', 'truncate_utf8', 'mime_header_encode',
      'mime_header_decode', '_mime_header_decode', 'decode_entities', '_decode_entities',
      'drupal_strlen', 'drupal_strtoupper', 'drupal_strtolower', '_unicode_caseflip', 'drupal_ucfirst',
      'drupal_substr', 'xmlrpc_value', 'xmlrpc_value_calculate_type', 'xmlrpc_value_get_xml',
      'xmlrpc_message', 'xmlrpc_message_parse', 'xmlrpc_message_set', 'xmlrpc_message_get',
      'xmlrpc_message_tag_open', 'xmlrpc_message_cdata', 'xmlrpc_message_tag_close', 'xmlrpc_request',
      'xmlrpc_error', 'xmlrpc_error_get_xml', 'xmlrpc_date', 'xmlrpc_date_get_xml', 'xmlrpc_base64',
      'xmlrpc_base64_get_xml', '_xmlrpc', 'xmlrpc_errno', 'xmlrpc_error_msg', 'xmlrpc_server',
      'xmlrpc_server_error', 'xmlrpc_server_output', 'xmlrpc_server_set', 'xmlrpc_server_get',
      'xmlrpc_server_call', 'xmlrpc_server_multicall', 'xmlrpc_server_list_methods', 'xmlrpc_server_get_capabilities',
      'xmlrpc_server_method_signature', 'xmlrpc_server_method_help', 'aggregator_help',
      'aggregator_menu', 'aggregator_admin_settings', 'aggregator_perm', 'aggregator_cron',
      'aggregator_block', 'aggregator_form_category_validate', 'aggregator_form_category_submit',
      'aggregator_save_category', 'aggregator_form_feed', 'aggregator_form_feed_validate',
      'aggregator_form_feed_submit', 'aggregator_save_feed', 'aggregator_remove', 'aggregator_element_start',
      'aggregator_element_end', 'aggregator_element_data', 'aggregator_refresh', 'aggregator_parse_w3cdtf',
      'aggregator_parse_feed', 'aggregator_save_item', 'aggregator_get_feed', 'aggregator_get_category',
      'aggregator_view', 'aggregator_admin_remove_feed', 'aggregator_admin_refresh_feed',
      'aggregator_admin_overview', 'aggregator_page_last', 'aggregator_page_source', 'aggregator_page_category',
      'aggregator_page_list', '_aggregator_page_list', 'theme_aggregator_page_list', 'aggregator_page_list_validate',
      'aggregator_page_list_submit', 'aggregator_page_sources', 'aggregator_page_rss', 'aggregator_page_opml',
      'aggregator_page_categories', 'theme_aggregator_feed', 'theme_aggregator_block_item',
      'theme_aggregator_summary_item', 'theme_aggregator_page_item', 'aggregator_filter_xss',
      '_aggregator_items', 'block_help', 'block_perm', 'block_menu', 'block_block', '_block_rehash',
      'block_admin_display', '_block_compare', 'block_admin_display_submit', 'theme_block_admin_display',
      'block_box_get', 'block_admin_configure', 'block_admin_configure_validate', 'block_admin_configure_submit',
      'block_box_form_validate', 'block_box_form_submit', 'block_box_delete', 'block_box_delete_submit',
      'block_box_form', 'block_box_save', 'block_user', 'block_list', 'blog_node_info',
      'blog_perm', 'blog_access', 'blog_user', 'blog_help', 'blog_feed_user', 'blog_feed_last',
      'blog_page', 'blog_page_user', 'blog_page_last', 'blog_form', 'blog_view', 'blog_link',
      'blog_menu', 'blog_block', 'blogapi_help', 'blogapi_xmlrpc', 'blogapi_blogger_get_users_blogs',
      'blogapi_blogger_get_user_info', 'blogapi_blogger_new_post', 'blogapi_blogger_edit_post',
      'blogapi_blogger_get_post', 'blogapi_blogger_delete_post', 'blogapi_blogger_get_recent_posts',
      'blogapi_metaweblog_new_post', 'blogapi_metaweblog_edit_post', 'blogapi_metaweblog_get_post',
      'blogapi_metaweblog_new_media_object', 'blogapi_metaweblog_get_category_list', 'blogapi_metaweblog_get_recent_posts',
      'blogapi_mt_get_recent_post_titles', 'blogapi_mt_get_category_list', 'blogapi_mt_get_post_categories',
      'blogapi_mt_set_post_categories', 'blogapi_mt_supported_text_filters', 'blogap_mti_publish_post',
      'blogapi_error', 'blogapi_validate_user', 'blogapi_blogger_title', 'blogapi_admin_settings',
      'blogapi_menu', 'blogapi_blogapi', 'blogapi_rsd', '_blogapi_mt_extra', '_blogapi_get_post',
      '_blogapi_blogid', '_blogapi_get_node_types', 'book_node_info', 'book_perm', 'book_access',
      'book_link', 'book_menu', 'book_block', 'book_insert', 'book_submit', 'book_form',
      'book_outline', 'book_outline_submit', 'book_location', 'book_location_down', 'book_prev',
      'book_next', 'book_content', 'book_nodeapi', 'theme_book_navigation', 'book_toc_recurse',
      'book_toc', 'book_tree_recurse', 'book_tree', 'book_render', 'book_export', 'book_export_html',
      'theme_book_export_html', 'book_recurse', 'book_node_visitor_html_pre', 'book_node_visitor_html_post',
      '_book_admin_table', '_book_admin_table_tree', 'theme_book_admin_table', 'book_admin_edit',
      'book_admin_orphan', 'book_admin_edit_submit', 'book_admin', 'book_admin_overview',
      'book_help', 'color_help', 'color_form_alter', '_color_page_alter', 'color_get_info',
      'color_get_palette', 'color_scheme_form', 'theme_color_scheme_form', 'color_scheme_form_submit',
      '_color_rewrite_stylesheet', '_color_import_stylesheet', '_color_render_images', '_color_shift',
      '_color_gd', '_color_blend', '_color_unpack', '_color_pack', '_color_hsl2rgb', '_color_hue2rgb',
      '_color_rgb2hsl', 'comment_help', 'comment_menu', 'comment_perm', 'comment_block',
      'comment_get_recent', 'theme_comment_block', 'comment_link', 'comment_form_alter',
      'comment_nodeapi', 'comment_user', 'comment_admin_settings', 'comment_access', 'comment_node_url',
      'comment_edit', 'comment_reply', 'comment_save', 'comment_links', 'comment_render',
      'comment_delete', 'comment_confirm_delete', 'comment_confirm_delete_submit', 'comment_operations',
      'comment_admin', 'comment_admin_overview', 'comment_admin_overview_validate', 'comment_admin_overview_submit',
      'theme_comment_admin_overview', 'comment_multiple_delete_confirm', 'comment_multiple_delete_confirm_submit',
      '_comment_load', 'comment_num_all', 'comment_num_replies', 'comment_num_new', 'comment_validate',
      'comment_form', 'comment_form_box', 'comment_form_add_preview', 'comment_form_validate',
      '_comment_form_submit', 'comment_form_submit', 'theme_comment_preview', 'theme_comment_view',
      'comment_controls', 'theme_comment_controls', 'comment_controls_submit', 'theme_comment',
      'theme_comment_folded', 'theme_comment_flat_collapsed', 'theme_comment_flat_expanded',
      'theme_comment_thread_collapsed', 'theme_comment_thread_expanded', 'theme_comment_post_forbidden',
      'theme_comment_wrapper', '_comment_delete_thread', '_comment_get_modes', '_comment_get_orders',
      '_comment_per_page', '_comment_get_display_setting', '_comment_update_node_statistics',
      'comment_invoke_comment', 'int2vancode', 'vancode2int', 'contact_help', 'contact_perm',
      'contact_menu', 'contact_user', 'contact_admin_categories', 'contact_admin_edit',
      'contact_admin_edit_validate', 'contact_admin_edit_submit', 'contact_admin_delete',
      'contact_admin_delete_submit', 'contact_admin_settings', 'contact_user_page', 'contact_mail_user',
      'contact_mail_user_submit', 'contact_site_page', 'contact_mail_page', 'contact_mail_page_validate',
      'contact_mail_page_submit', 'drupal_help', 'drupal_sites_registry_settings', 'drupal_distributed_authentication_settings',
      'drupal_cron', 'drupal_client_ping', 'drupal_client_page', 'theme_client_list', 'drupal_xmlrpc',
      'drupal_notify', 'drupal_info', 'drupal_auth', 'drupal_menu', 'drupal_page_help',
      'drupal_login', 'filter_help', 'filter_menu', 'filter_perm', 'filter_cron', 'filter_filter_tips',
      'filter_admin_overview', 'filter_admin_overview_submit', 'theme_filter_admin_overview',
      'filter_admin_delete', 'filter_admin_delete_submit', 'filter_admin_format_form', 'filter_admin_format_form_validate',
      'filter_admin_format_form_submit', 'filter_admin_order', 'theme_filter_admin_order',
      'filter_admin_order_submit', 'filter_admin_configure', 'filter_formats', 'filter_list_all',
      '_filter_list_cmp', 'filter_resolve_format', 'filter_format_allowcache', 'filter_list_format',
      'check_markup', 'filter_form', 'filter_form_validate', 'filter_access', 'filter_tips_long',
      '_filter_tips', 'theme_filter_tips', 'theme_filter_tips_more_info', 'filter_filter',
      '_filter_html_settings', '_filter_html', '_filter_url_settings', '_filter_url', '_filter_url_parse_full_links',
      '_filter_url_parse_partial_links', '_filter_url_trim', '_filter_autop', 'filter_xss_admin',
      'filter_xss', '_filter_xss_split', '_filter_xss_attributes', 'filter_xss_bad_protocol',
      'forum_help', 'forum_menu', 'forum_node_info', 'forum_access', 'forum_perm', 'forum_nodeapi',
      'forum_taxonomy', 'forum_admin_settings', 'forum_form_alter', 'forum_load', 'forum_block',
      'forum_view', 'forum_submit', 'forum_validate', 'forum_update', 'forum_form', 'forum_prepare',
      'forum_insert', 'forum_delete', 'forum_form_container', 'forum_form_main', 'forum_form_forum',
      'forum_form_submit', 'forum_confirm_delete', 'forum_confirm_delete_submit', 'forum_overview',
      '_forum_parent_select', 'forum_link_alter', '_forum_get_vid', '_forum_format', 'forum_get_forums',
      '_forum_topics_unread', 'forum_get_topics', '_forum_new', 'forum_page', 'theme_forum_display',
      'theme_forum_list', 'theme_forum_topic_list', 'theme_forum_icon', 'theme_forum_topic_navigation',
      '_forum_user_last_visit', '_forum_get_topic_order', '_forum_get_topic_order_sql',
      'help_menu', 'help_main', 'help_links_as_list', 'help_help', 'help_page', 'legacy_help',
      'legacy_menu', 'legacy_taxonomy_page', 'legacy_taxonomy_feed', 'legacy_blog_feed',
      'legacy_filter', '_legacy_filter_old_urls', 'locale_help', 'locale_menu', 'locale_perm',
      'locale_user', 'locale', 'locale_refresh_cache', 'locale_supported_languages', 'locale_get_plural',
      'locale_admin_manage', 'locale_admin_manage_delete_form', 'locale_admin_manage_delete_form_submit',
      'locale_admin_manage_add', 'locale_admin_import', 'locale_admin_export', 'locale_string_search',
      'locale_admin_string_edit', 'locale_admin_string_edit_submit', 'locale_admin_string_delete',
      'menu_help', 'menu_menu', 'menu_block', 'menu_nodeapi', 'menu_perm', 'menu_form_alter',
      'menu_configure', 'menu_edit_menu_form', 'menu_edit_item_form', 'menu_edit_item_form_submit',
      'menu_item_delete_form', 'menu_item_delete_form_submit', 'menu_reset_item', 'menu_reset_item_submit',
      'menu_confirm_disable_item', 'menu_confirm_disable_item_submit', 'menu_overview',
      'menu_edit_item_save', 'menu_save_item', 'menu_delete_item', 'menu_overview_tree',
      'menu_overview_tree_rows', 'menu_parent_options', 'menu_node_form_delete', 'node_overview_types',
      'node_type_form', 'node_type_form_validate', 'node_type_form_submit', 'node_node_type',
      'node_type_reset', 'node_type_delete_confirm', 'node_type_delete_confirm_submit',
      'node_help', 'node_cron', 'node_title_list', 'theme_node_list', 'node_tag_new', 'node_last_viewed',
      'node_mark', 'node_teaser', 'node_get_types', 'node_types_rebuild', 'node_type_save',
      'node_type_delete', 'node_type_update_nodes', '_node_types_build', '_node_type_set_defaults',
      'node_hook', 'node_invoke', 'node_invoke_nodeapi', 'node_load', 'node_save', 'node_view',
      'node_prepare', 'node_build_content', 'node_show', 'node_perm', 'node_search', 'node_user',
      'theme_node_search_admin', 'node_configure', 'node_configure_validate', 'node_configure_rebuild_confirm',
      'node_configure_rebuild_confirm_submit', 'node_comment_mode', 'node_link', 'node_menu',
      'node_last_changed', 'node_node_operations', 'node_operations_publish', 'node_operations_unpublish',
      'node_operations_promote', 'node_operations_demote', 'node_operations_sticky', 'node_operations_unsticky',
      'node_filters', 'node_build_filter_query', 'node_filter_form', 'theme_node_filter_form',
      'theme_node_filters', 'node_filter_form_submit', 'node_admin_nodes_submit', 'node_admin_nodes_validate',
      'node_admin_content', 'node_admin_nodes', 'theme_node_admin_nodes', 'node_multiple_delete_confirm',
      'node_multiple_delete_confirm_submit', 'node_revision_overview', 'node_revision_revert',
      'node_revision_revert_confirm', 'node_revision_revert_confirm_submit', 'node_revision_delete',
      'node_revision_delete_confirm', 'node_revision_delete_confirm_submit', 'node_revision_list',
      'node_admin_search', 'node_block', 'node_feed', 'node_submit', 'node_validate', 'node_form_validate',
      'node_object_prepare', 'node_form', 'node_form_add_preview', 'theme_node_form', 'node_add',
      'node_preview', 'theme_node_preview', 'theme_node_log_message', 'node_form_submit',
      'node_delete_confirm', 'node_delete_confirm_submit', 'node_delete', 'node_revisions',
      'node_page_default', 'node_page_view', 'node_page_edit', 'node_update_shutdown', 'node_update_index',
      'node_form_alter', 'node_search_validate', 'node_access', '_node_access_join_sql',
      '_node_access_where_sql', 'node_access_grants', 'node_access_view_all_nodes', 'node_db_rewrite_sql',
      'node_access_acquire_grants', 'node_access_write_grants', 'node_access_rebuild', 'node_content_access',
      'node_content_form', 'node_forms', 'path_help', 'path_menu', 'path_admin', 'path_admin_edit',
      'path_admin_delete_confirm', 'path_admin_delete_confirm_submit', 'path_admin_delete',
      'path_set_alias', 'path_form', 'path_nodeapi', 'path_form_alter', 'path_perm', 'path_overview',
      'path_load', 'path_form_validate', 'path_form_submit', 'ping_help', 'ping_cron', '_ping_notify',
      'ping_ping', 'poll_help', 'poll_access', 'poll_block', 'poll_cron', 'poll_delete',
      'poll_submit', 'poll_validate', 'poll_form', 'poll_insert', 'poll_menu', 'poll_load',
      'poll_node_info', 'poll_page', 'poll_perm', 'poll_teaser', 'poll_view_voting', 'theme_poll_view_voting',
      'poll_view_results', 'theme_poll_results', 'poll_cancel_form', 'theme_poll_bar', 'poll_results',
      'poll_votes', 'poll_vote', 'poll_cancel', 'poll_view', 'poll_update', 'poll_user',
      'profile_help', 'profile_menu', 'profile_block', 'profile_user', 'profile_field_form',
      'profile_field_form_validate', 'profile_field_form_submit', 'profile_field_delete',
      'profile_field_delete_submit', 'profile_admin_overview', 'profile_browse', 'profile_load_profile',
      'profile_save_profile', 'profile_view_field', 'profile_view_profile', '_profile_form_explanation',
      'profile_form_profile', 'profile_autocomplete', '_profile_update_user_fields', 'profile_validate_profile',
      'profile_categories', 'theme_profile_block', 'theme_profile_listing', '_profile_field_types',
      '_profile_field_serialize', '_profile_get_fields', 'profile_admin_settings_autocomplete',
      'search_help', 'search_perm', 'search_block', 'search_menu', 'search_admin_settings_validate',
      'search_admin_settings', 'search_wipe_confirm', 'search_wipe_confirm_submit', 'search_wipe',
      'search_dirty', 'search_cron', 'search_update_totals', 'search_simplify', 'search_expand_cjk',
      'search_index_split', '_search_index_truncate', 'search_preprocess', 'search_index',
      'search_query_extract', 'search_query_insert', 'search_parse_query', '_search_parse_query',
      'do_search', 'search_get_keys', 'search_view', 'search_form', 'search_form_validate',
      'search_form_submit', 'search_box', 'search_box_form_submit', 'theme_search_theme_form',
      'theme_search_block_form', 'search_data', 'search_excerpt', '_search_excerpt_replace',
      'theme_search_item', 'theme_search_page', 'search_forms', 'statistics_help', 'statistics_exit',
      'statistics_perm', 'statistics_link', 'statistics_menu', 'statistics_user', 'statistics_access_log',
      'statistics_node_tracker', 'statistics_user_tracker', 'statistics_recent_hits', 'statistics_top_pages',
      'statistics_top_visitors', 'statistics_top_referrers', 'statistics_access_logging_settings',
      'statistics_cron', 'statistics_title_list', 'statistics_get', 'statistics_block',
      '_statistics_link', '_statistics_format_item', 'statistics_nodeapi', 'system_help',
      'system_perm', 'system_elements', 'system_menu', 'system_user', 'system_main_admin_page',
      'system_admin_menu_block', 'system_admin_menu_block_page', 'system_admin_compact_page',
      'system_admin_theme_settings', 'system_admin_theme_submit', 'system_theme_select_form',
      'theme_system_theme_select_form', '_system_zonelist', 'system_site_information_settings',
      'system_clean_url_settings', 'system_error_reporting_settings', 'system_performance_settings',
      'system_file_system_settings', 'system_image_toolkit_settings', 'system_rss_feeds_settings',
      'system_date_time_settings', 'system_site_maintenance_settings', 'system_check_directory',
      'system_get_files_database', 'system_theme_data', 'system_region_list', 'system_default_region',
      'system_initialize_theme_blocks', 'system_settings_form', 'system_theme_settings_submit',
      'system_settings_form_submit', 'system_themes', 'theme_system_themes', 'system_themes_submit',
      'system_modules', 'system_modules_disable', 'system_modules_confirm_form', 'system_module_build_dependencies',
      'system_modules_submit', 'theme_system_modules', 'system_modules_uninstall', 'system_modules_uninstall_confirm_form',
      'theme_system_modules_uninstall', 'system_modules_uninstall_validate', 'system_modules_uninstall_submit',
      'system_run_cron', 'system_php', '_system_sql', 'system_sql', 'system_status', '_system_sort_requirements',
      'theme_status_report', 'system_settings_overview', 'system_theme_settings', 'system_node_type',
      'confirm_form', 'system_admin_compact_mode', 'theme_admin_page', 'theme_admin_block',
      'theme_admin_block_content', 'system_admin_by_module', 'system_get_module_admin_tasks',
      'theme_system_admin_by_module', 'taxonomy_perm', 'taxonomy_link', 'taxonomy_term_path',
      'taxonomy_menu', 'taxonomy_overview_vocabularies', 'taxonomy_overview_terms', 'taxonomy_form_vocabulary',
      'taxonomy_form_vocabulary_submit', 'taxonomy_save_vocabulary', 'taxonomy_del_vocabulary',
      'taxonomy_vocabulary_confirm_delete', 'taxonomy_vocabulary_confirm_delete_submit',
      'taxonomy_form_term', 'taxonomy_form_term_submit', 'taxonomy_save_term', 'taxonomy_del_term',
      'taxonomy_term_confirm_delete', 'taxonomy_term_confirm_delete_submit', 'taxonomy_form',
      'taxonomy_form_all', 'taxonomy_get_vocabularies', 'taxonomy_form_alter', 'taxonomy_node_get_terms_by_vocabulary',
      'taxonomy_node_get_terms', 'taxonomy_node_validate', 'taxonomy_node_save', 'taxonomy_node_delete',
      'taxonomy_node_type', 'taxonomy_get_related', 'taxonomy_get_parents', 'taxonomy_get_parents_all',
      'taxonomy_get_children', 'taxonomy_get_tree', 'taxonomy_get_synonyms', 'taxonomy_get_synonym_root',
      'taxonomy_term_count_nodes', '_taxonomy_term_children', 'taxonomy_get_term_by_name',
      'taxonomy_get_vocabulary', 'taxonomy_get_term', '_taxonomy_term_select', 'theme_taxonomy_term_select',
      'taxonomy_select_nodes', 'taxonomy_render_nodes', 'taxonomy_nodeapi', 'taxonomy_node_update_index',
      'taxonomy_terms_parse_string', 'taxonomy_term_page', 'taxonomy_admin_vocabulary_edit',
      'taxonomy_admin_term_edit', 'taxonomy_rss_item', 'taxonomy_help', '_taxonomy_get_tid_from_term',
      'taxonomy_autocomplete', 'throttle_menu', 'throttle_status', 'throttle_exit', 'throttle_help',
      'throttle_admin_settings', 'throttle_admin_settings_validate', 'tracker_help', 'tracker_menu',
      'tracker_track_user', 'tracker_page', 'upload_help', 'upload_perm', 'upload_link',
      'upload_menu', 'upload_admin_settings_validate', 'upload_admin_settings', 'upload_download',
      'upload_file_download', '_upload_prepare', 'upload_form_alter', '_upload_validate',
      'upload_nodeapi', 'theme_upload_attachments', 'upload_space_used', 'upload_total_space_used',
      'upload_munge_filename', 'upload_unmunge_filename', 'upload_save', 'upload_delete',
      'upload_delete_revision', '_upload_form', 'theme_upload_form_current', 'theme_upload_form_new',
      'upload_load', '_upload_image', 'upload_js', 'user_module_invoke', 'user_external_load',
      'user_load', 'user_save', 'user_validate_name', 'user_validate_mail', 'user_validate_picture',
      'user_password', 'user_access', 'user_is_blocked', 'user_fields', 'user_perm', 'user_file_download',
      'user_search', 'user_user', 'user_login_block', 'user_block', 'theme_user_picture',
      'theme_user_profile', 'theme_user_list', 'user_menu', 'user_get_authmaps', 'user_set_authmaps',
      'user_auth_help_links', 'user_login', 'user_login_validate', 'user_login_submit',
      'user_authenticate', 'user_logout', 'user_pass', 'user_pass_validate', 'user_pass_submit',
      'user_pass_reset', 'user_pass_reset_url', 'user_pass_rehash', 'user_register', 'user_register_validate',
      'user_register_submit', 'user_edit_form', '_user_edit_validate', '_user_edit_submit',
      'user_edit', 'user_confirm_delete', 'user_confirm_delete_submit', 'user_delete', 'user_edit_validate',
      'user_edit_submit', 'user_view', '_user_mail_text', 'user_admin_check_user', 'user_admin_check_mail',
      'user_admin_check_host', 'user_admin_access_check', 'user_admin_access_check_validate',
      'user_admin_access_check_submit', 'user_admin_access_add', 'user_admin_access_delete_confirm',
      'user_admin_access_delete_confirm_submit', 'user_admin_access_edit', 'user_admin_access_form',
      'user_admin_access', 'user_roles', 'user_admin_perm', 'theme_user_admin_perm', 'user_admin_perm_submit',
      'user_admin_role', 'user_admin_role_validate', 'user_admin_role_submit', 'theme_user_admin_new_role',
      'user_admin_account', 'theme_user_admin_account', 'user_admin_account_submit', 'user_admin_account_validate',
      'user_user_operations', 'user_user_operations_unblock', 'user_user_operations_block',
      'user_multiple_role_edit', 'user_multiple_delete_confirm', 'user_multiple_delete_confirm_submit',
      'user_admin_settings', 'user_admin', 'user_help', 'user_help_page', '_user_categories',
      '_user_sort', '_user_forms', 'user_autocomplete', 'user_filters', 'user_build_filter_query',
      'user_filter_form', 'theme_user_filter_form', 'theme_user_filters', 'user_filter_form_submit',
      'user_forms', 'watchdog_help', 'watchdog_menu', 'watchdog_cron', 'watchdog_user',
      'watchdog_form_overview', 'watchdog_overview', 'watchdog_top', 'theme_watchdog_form_overview',
      'watchdog_form_overview_submit', 'watchdog_event', '_watchdog_get_message_types',
    ),
    6 => array(
      'CACHE_PERMANENT', 'CACHE_TEMPORARY', 'CACHE_DISABLED', 'CACHE_NORMAL', 'CACHE_AGGRESSIVE',
      'WATCHDOG_NOTICE', 'WATCHDOG_WARNING', 'WATCHDOG_ERROR', 'DRUPAL_BOOTSTRAP_CONFIGURATION',
      'DRUPAL_BOOTSTRAP_EARLY_PAGE_CACHE', 'DRUPAL_BOOTSTRAP_DATABASE', 'DRUPAL_BOOTSTRAP_ACCESS',
      'DRUPAL_BOOTSTRAP_SESSION', 'DRUPAL_BOOTSTRAP_LATE_PAGE_CACHE', 'DRUPAL_BOOTSTRAP_PATH',
      'DRUPAL_BOOTSTRAP_FULL', 'DRUPAL_ANONYMOUS_RID', 'DRUPAL_AUTHENTICATED_RID', 'SAVED_NEW',
      'SAVED_UPDATED', 'SAVED_DELETED', 'DB_QUERY_REGEXP', 'FILE_DOWNLOADS_PUBLIC', 'FILE_DOWNLOADS_PRIVATE',
      'FILE_CREATE_DIRECTORY', 'FILE_MODIFY_PERMISSIONS', 'FILE_EXISTS_RENAME', 'FILE_EXISTS_REPLACE',
      'FILE_EXISTS_ERROR', 'SCHEMA_UNINSTALLED', 'SCHEMA_INSTALLED', 'REQUIREMENT_INFO',
      'REQUIREMENT_OK', 'REQUIREMENT_WARNING', 'REQUIREMENT_ERROR', 'FILE_EXIST', 'FILE_READABLE',
      'FILE_WRITABLE', 'FILE_EXECUTABLE', 'FILE_NOT_EXIST', 'FILE_NOT_READABLE', 'FILE_NOT_WRITABLE',
      'FILE_NOT_EXECUTABLE', 'MENU_IS_ROOT', 'MENU_VISIBLE_IN_TREE', 'MENU_VISIBLE_IN_BREADCRUMB',
      'MENU_VISIBLE_IF_HAS_CHILDREN', 'MENU_MODIFIABLE_BY_ADMIN', 'MENU_MODIFIED_BY_ADMIN',
      'MENU_CREATED_BY_ADMIN', 'MENU_IS_LOCAL_TASK', 'MENU_EXPANDED', 'MENU_LINKS_TO_PARENT',
      'MENU_NORMAL_ITEM', 'MENU_ITEM_GROUPING', 'MENU_CALLBACK', 'MENU_DYNAMIC_ITEM', 'MENU_SUGGESTED_ITEM',
      'MENU_LOCAL_TASK', 'MENU_DEFAULT_LOCAL_TASK', 'MENU_CUSTOM_ITEM', 'MENU_CUSTOM_MENU',
      'MENU_FOUND', 'MENU_NOT_FOUND', 'MENU_ACCESS_DENIED', 'MENU_SITE_OFFLINE', 'MARK_READ',
      'MARK_NEW', 'MARK_UPDATED', 'UNICODE_ERROR', 'UNICODE_SINGLEBYTE', 'UNICODE_MULTIBYTE',
      'BLOCK_REGION_NONE', 'COMMENT_PUBLISHED', 'COMMENT_NOT_PUBLISHED', 'COMMENT_MODE_FLAT_COLLAPSED',
      'COMMENT_MODE_FLAT_EXPANDED', 'COMMENT_MODE_THREADED_COLLAPSED', 'COMMENT_MODE_THREADED_EXPANDED',
      'COMMENT_ORDER_NEWEST_FIRST', 'COMMENT_ORDER_OLDEST_FIRST', 'COMMENT_CONTROLS_ABOVE',
      'COMMENT_CONTROLS_BELOW', 'COMMENT_CONTROLS_ABOVE_BELOW', 'COMMENT_CONTROLS_HIDDEN',
      'COMMENT_ANONYMOUS_MAYNOT_CONTACT', 'COMMENT_ANONYMOUS_MAY_CONTACT', 'COMMENT_ANONYMOUS_MUST_CONTACT',
      'COMMENT_FORM_SEPARATE_PAGE', 'COMMENT_FORM_BELOW', 'COMMENT_NODE_DISABLED', 'COMMENT_NODE_READ_ONLY',
      'COMMENT_NODE_READ_WRITE', 'COMMENT_PREVIEW_OPTIONAL', 'COMMENT_PREVIEW_REQUIRED',
      'FILTER_FORMAT_DEFAULT', 'FILTER_HTML_STRIP', 'FILTER_HTML_ESCAPE', 'NODE_NEW_LIMIT',
      'PROFILE_PRIVATE', 'PROFILE_PUBLIC', 'PROFILE_PUBLIC_LISTINGS', 'PROFILE_HIDDEN',
      'PREG_CLASS_SEARCH_EXCLUDE', 'PREG_CLASS_NUMBERS', 'PREG_CLASS_PUNCTUATION', 'PREG_CLASS_CJK',
      'VERSION', 'USERNAME_MAX_LENGTH', 'EMAIL_MAX_LENGTH',
    ),
  ),
  'SYMBOLS' => array(
    '(', ')', '[', ']', '{', '}', '!', '@', '%', '&', '*', '|', '/', '<', '>'
  ),
  'CASE_SENSITIVE' => array(
    GESHI_COMMENTS => false,
    1 => false,
    2 => false,
    3 => false,
    4 => false,
    5 => false,
    6 => false,
  ),
  'STYLES' => array(
    'KEYWORDS' => array(
      1 => 'color: #b1b100;',
      2 => 'color: #000000; font-weight: bold;',
      3 => 'color: #000066;',
      5 => 'color: #000066;',
      6 => 'color: #000000; font-weight: bold;',
    ),
    'COMMENTS' => array(
      1 => 'color: #808080; font-style: italic;',
      2 => 'color: #808080; font-style: italic;',
      'MULTI' => 'color: #808080; font-style: italic;'
    ),
    'ESCAPE_CHAR' => array(
      0 => 'color: #000099; font-weight: bold;'
    ),
    'BRACKETS' => array(
      0 => 'color: #66cc66;'
    ),
    'STRINGS' => array(
      0 => 'color: #ff0000;'
    ),
    'NUMBERS' => array(
      0 => 'color: #cc66cc;'
    ),
    'METHODS' => array(
      1 => 'color: #006600;',
      2 => 'color: #006600;'
    ),
    'SYMBOLS' => array(
      0 => 'color: #66cc66;'
    ),
    'REGEXPS' => array(
      0 => 'color: #0000ff;',
      1 => 'color: #ff0000'
    ),
    'SCRIPT' => array(
      0 => '',
      1 => '',
      2 => '',
      3 => ''
    )
  ),
  'URLS' => array(
    1 => '',
    2 => '',
    3 => 'http://www.php.net/{FNAME}',
    4 => '',
    5 => 'http://api.drupal.org/api/function/{FNAME}/5',
    6 => 'http://api.drupal.org/api/constant/{FNAME}/5',
  ),
  'OOLANG' => true,
  'OBJECT_SPLITTERS' => array(
    1 => '-&gt;',
    2 => '::',
  ),
  'REGEXPS' => array(
    0 => "[\\$]{1,2}[a-zA-Z_][a-zA-Z0-9_]*",
    1 => array(
      GESHI_SEARCH  => "([a-zA-Z]+)(\n)(.*)(\n)(\\1;?)",
      GESHI_REPLACE => '\3',
      GESHI_BEFORE => '\1\2',
      GESHI_AFTER => '\4\5',
      GESHI_MODIFIERS => 'siU'
    ),
  ),
  'STRICT_MODE_APPLIES' => GESHI_MAYBE,
  'SCRIPT_DELIMITERS' => array(
    0 => array(
      '<?php' => '?>'
    ),
    1 => array(
      '<?' => '?>'
    ),
    2 => array(
      '<%' => '%>'
    ),
  ),
  'HIGHLIGHT_STRICT_BLOCK' => array(
    0 => true,
    1 => true,
    2 => true,
    3 => true
  ),
  'TAB_WIDTH' => 2
);
